# Mobicoop V3 - User Service

Mobicoop V3 - User service. Manages user-related data.

## Installation

You need [Docker](https://docs.docker.com/engine/) and [Docker-compose](https://docs.docker.com/compose/).

Copy `.env.dist` to `.env` :

```bash
cp .env.dist .env
```

and modify it to suit your needs.

Then execute :

```bash
docker-compose up -d
```

The app runs automatically on the port defined in `SERVICE_PORT` of `.env` file (default : _3001_).

## Test

```bash
# unit tests
docker exec v3_user sh -c "npm run test"

# e2e tests
docker exec v3_user sh -c "npm run test:e2e"

# test coverage
docker exec v3_user sh -c "npm run test:cov"
```

Note : you can run all npm commands directly _outside_ the container (see _scripts_ section of `package.json` for available commands), but you need NodeJS installed locally. We **strongly** advise to install [Node Version Manager](https://github.com/nvm-sh/nvm) !

## License

Mobicoop V3 - User Service is [AGPL licensed](LICENSE).
