import { AutoMap } from '@automapper/classes';
import { IsNotEmpty, IsString } from 'class-validator';

export class CreateUserRequest {
  @IsString()
  @AutoMap()
  uuid: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  firstName: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  lastName: string;

  @IsString()
  @IsNotEmpty()
  @AutoMap()
  email: string;
}
